---
document: modulemd
version: 2
data:
  stream: 1.0
  summary: Common tools and dependencies for container runtimes
  description: Contains SELinux policies, binaries and other dependencies for use
    with container runtimes
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
      go-toolset:
      - rhel8
      golang-ecosystem:
      - 1.0
    requires:
      platform:
      - el8
  references:
    community: https://github.com/projectatomic
    documentation: https://projectatomic.io
    tracker: https://github.com/projectatomic
  profiles:
    common:
      rpms:
      - buildah
      - container-selinux
      - containernetworking-plugins
      - fuse-overlayfs
      - oci-systemd-hook
      - oci-umount
      - podman
      - runc
      - skopeo
      - slirp4netns
  api:
    rpms:
    - buildah
    - container-selinux
    - containers-common
    - containernetworking-plugins
    - fuse-overlayfs
    - oci-systemd-hook
    - oci-umount
    - podman
    - podman-docker
    - python3-podman
    - python3-pypodman
    - runc
    - skopeo
    - slirp4netns
  buildopts:
    rpms:
      macros: '%_with_ignore_tests 1

        '
  components:
    rpms:
      buildah:
        rationale: Primary component of this module
        ref: stream-container-tools-1.0-rhel-8.1.0
      container-selinux:
        rationale: Primary component of this module
        ref: stream-container-tools-1.0-rhel-8.1.0
      containernetworking-plugins:
        rationale: Primary component of this module
        ref: stream-container-tools-1.0-rhel-8.1.0
      fuse-overlayfs:
        rationale: Primary component of this module
        ref: stream-container-tools-1.0-rhel-8.1.0
      oci-systemd-hook:
        rationale: Primary component of this module
        ref: stream-container-tools-1.0-rhel-8.1.0
      oci-umount:
        rationale: Primary component of this module
        ref: stream-container-tools-1.0-rhel-8.1.0
      podman:
        rationale: Primary component of this module
        ref: stream-container-tools-1.0-rhel-8.1.0
      runc:
        rationale: Primary component of this module
        ref: stream-container-tools-1.0-rhel-8.1.0
      skopeo:
        rationale: Primary component of this module
        ref: stream-container-tools-1.0-rhel-8.1.0
      slirp4netns:
        rationale: Primary component of this module
        ref: stream-container-tools-1.0-rhel-8.1.0
  name: container-tools
  artifacts:
    rpms:
    - buildah-0:1.5-6.gite94b4f9.module+el8.1.0+4908+72a45cef.x86_64
    - containernetworking-plugins-0:0.7.4-4.git9ebe139.module+el8.1.0+4908+72a45cef.x86_64
    - containers-common-1:0.1.32-6.git1715c90.module+el8.1.0+4903+9bde5d6c.x86_64
    - podman-0:1.0.0-4.git921f98f.module+el8.1.0+4908+72a45cef.x86_64
    - podman-docker-0:1.0.0-4.git921f98f.module+el8.1.0+4908+72a45cef.noarch
    - runc-0:1.0.0-56.rc5.dev.git2abd837.module+el8.1.0+4908+72a45cef.x86_64
    - skopeo-1:0.1.32-6.git1715c90.module+el8.1.0+4903+9bde5d6c.x86_64
    - slirp4netns-0:0.1-4.dev.gitc4e1bc5.module+el8.1.0+5654+5237a55d.x86_64
  version: '20200422015009'
  arch: x86_64
...
---
document: modulemd
version: 2
data:
  stream: rhel8
  summary: Common tools and dependencies for container runtimes
  description: Contains SELinux policies, binaries and other dependencies for use
    with container runtimes
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
      go-toolset:
      - rhel8
      golang-ecosystem:
      - 1.0
    requires:
      platform:
      - el8
  references:
    community: https://github.com/projectatomic
    documentation: https://projectatomic.io
    tracker: https://github.com/projectatomic
  profiles:
    common:
      rpms:
      - buildah
      - cockpit-podman
      - container-selinux
      - containernetworking-plugins
      - fuse-overlayfs
      - oci-systemd-hook
      - oci-umount
      - podman
      - python-podman-api
      - runc
      - skopeo
      - slirp4netns
      - toolbox
  api:
    rpms:
    - buildah
    - container-selinux
    - containers-common
    - containernetworking-plugins
    - fuse-overlayfs
    - oci-systemd-hook
    - oci-umount
    - podman
    - podman-docker
    - podman-manpages
    - podman-remote
    - python-podman-api
    - runc
    - skopeo
    - slirp4netns
  buildopts:
    rpms:
      macros: '%_with_ignore_tests 1

        '
  components:
    rpms:
      buildah:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
      cockpit-podman:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
      container-selinux:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
      containernetworking-plugins:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
      fuse-overlayfs:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
      oci-systemd-hook:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
      oci-umount:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
      podman:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
      python-podman-api:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
      runc:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
      skopeo:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
      slirp4netns:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
      toolbox:
        rationale: Primary component of this module
        ref: stream-container-tools-rhel8-rhel-8.1.0
  name: container-tools
  artifacts:
    rpms:
    - buildah-0:1.11.6-4.module+el8.1.1+5259+bcdd613a.x86_64
    - buildah-0:1.11.6-6.module+el8.1.1+5865+cc793d95.x86_64
    - buildah-tests-0:1.11.6-4.module+el8.1.1+5259+bcdd613a.x86_64
    - buildah-tests-0:1.11.6-6.module+el8.1.1+5865+cc793d95.x86_64
    - cockpit-podman-0:11-1.module+el8.1.1+5259+bcdd613a.noarch
    - conmon-2:2.0.6-1.module+el8.1.1+5259+bcdd613a.x86_64
    - container-selinux-2:2.123.0-2.module+el8.1.0+4900+9d7326b8.noarch
    - container-selinux-2:2.124.0-1.module+el8.1.1+5259+bcdd613a.noarch
    - containernetworking-plugins-0:0.8.1-3.module+el8.1.0+4881+045289ee.x86_64
    - containernetworking-plugins-0:0.8.3-4.module+el8.1.1+5259+bcdd613a.x86_64
    - containers-common-1:0.1.37-6.module+el8.1.0+4876+e678a192.x86_64
    - containers-common-1:0.1.40-8.module+el8.1.1+5351+506397b0.x86_64
    - fuse-overlayfs-0:0.7.2-1.module+el8.1.1+5259+bcdd613a.x86_64
    - fuse-overlayfs-0:0.7.2-5.module+el8.1.1+6114+953c5a57.x86_64
    - podman-0:1.4.2-6.module+el8.1.0+4830+f49150d7.x86_64
    - podman-0:1.6.4-2.module+el8.1.1+5363+bf8ff1af.x86_64
    - podman-0:1.6.4-4.module+el8.1.1+5885+44006e55.x86_64
    - podman-docker-0:1.4.2-6.module+el8.1.0+4830+f49150d7.noarch
    - podman-docker-0:1.6.4-2.module+el8.1.1+5363+bf8ff1af.noarch
    - podman-docker-0:1.6.4-4.module+el8.1.1+5885+44006e55.noarch
    - podman-manpages-0:1.4.2-6.module+el8.1.0+4830+f49150d7.noarch
    - podman-manpages-0:1.6.4-2.module+el8.1.1+5363+bf8ff1af.noarch
    - podman-manpages-0:1.6.4-4.module+el8.1.1+5885+44006e55.noarch
    - podman-remote-0:1.4.2-6.module+el8.1.0+4830+f49150d7.x86_64
    - podman-remote-0:1.6.4-2.module+el8.1.1+5363+bf8ff1af.x86_64
    - podman-remote-0:1.6.4-4.module+el8.1.1+5885+44006e55.x86_64
    - podman-tests-0:1.4.2-6.module+el8.1.0+4830+f49150d7.x86_64
    - podman-tests-0:1.6.4-2.module+el8.1.1+5363+bf8ff1af.x86_64
    - podman-tests-0:1.6.4-4.module+el8.1.1+5885+44006e55.x86_64
    - python-podman-api-0:1.2.0-0.2.gitd0a45fe.module+el8.1.1+5259+bcdd613a.noarch
    - runc-0:1.0.0-61.rc8.module+el8.1.0+4873+4a24e241.x86_64
    - runc-0:1.0.0-64.rc9.module+el8.1.1+5259+bcdd613a.x86_64
    - skopeo-1:0.1.37-6.module+el8.1.0+4876+e678a192.x86_64
    - skopeo-1:0.1.40-8.module+el8.1.1+5351+506397b0.x86_64
    - skopeo-tests-1:0.1.37-6.module+el8.1.0+4876+e678a192.x86_64
    - skopeo-tests-1:0.1.40-8.module+el8.1.1+5351+506397b0.x86_64
    - slirp4netns-0:0.4.2-2.git21fdece.module+el8.1.1+5460+3ac089c3.x86_64
    - slirp4netns-0:0.4.2-3.git21fdece.module+el8.1.1+5657+524a77d7.x86_64
    - udica-0:0.2.1-2.module+el8.1.1+4975+482d6f5d.noarch
  version: '20200422015034'
  arch: x86_64
...
---
document: modulemd
version: 2
data:
  summary: Go
  description: Go Tools and libraries
  stream: rhel8
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
      go-toolset:
      - rhel8
    requires:
      platform:
      - el8
  profiles:
    common:
      rpms:
      - go-toolset
  api:
    rpms:
    - golang
  buildopts:
    rpms:
      whitelist:
      - go-toolset-1.10
      - go-toolset-1.10-golang
      - go-toolset
      - go-toolset-golang
      - golang
  components:
    rpms:
      go-toolset-7:
        rationale: Meta package for go-toolset providing scl enable scripts.
        ref: stream-rhel-8-rhel-8.1.0
        buildorder: 0
      golang:
        rationale: Package providing the Go compiler toolchain.
        ref: stream-rhel-8-rhel-8.1.0
        buildorder: 1
  name: go-toolset
  artifacts:
    rpms:
    - go-toolset-0:1.12.12-2.module+el8.1.0+5317+8a49ffbb.x86_64
    - golang-0:1.12.12-4.module+el8.1.0+5317+8a49ffbb.x86_64
    - golang-bin-0:1.12.12-4.module+el8.1.0+5317+8a49ffbb.x86_64
    - golang-docs-0:1.12.12-4.module+el8.1.0+5317+8a49ffbb.noarch
    - golang-misc-0:1.12.12-4.module+el8.1.0+5317+8a49ffbb.noarch
    - golang-race-0:1.12.12-4.module+el8.1.0+5317+8a49ffbb.x86_64
    - golang-src-0:1.12.12-4.module+el8.1.0+5317+8a49ffbb.noarch
    - golang-tests-0:1.12.12-4.module+el8.1.0+5317+8a49ffbb.noarch
  version: '20200206035850'
  arch: x86_64
...
---
document: modulemd
version: 2
data:
  stream: DL1
  summary: The Red Hat Enterprise Linux Identity Management system module
  description: RHEL IdM is an integrated solution to provide centrally managed Identity
    (users, hosts, services), Authentication (SSO, 2FA), and Authorization (host access
    control, SELinux user roles, services). The solution provides features for further
    integration with Linux based clients (SUDO, automount) and integration with Active
    Directory based infrastructures (Trusts).
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
      pki-core:
      - 10.6
      httpd:
      - 2.4
      389-ds:
      - 1.4
    requires:
      platform:
      - el8
      pki-core:
      - 10.6
      httpd:
      - 2.4
      389-ds:
      - 1.4
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/index
    tracker: https://pagure.io/freeipa/issues
  profiles:
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
    client:
      description: RHEL IdM Client
      rpms:
      - ipa-client
    server:
      description: Base RHEL IdM Server with integrated CA and no integrated DNS
      rpms:
      - ipa-server
      - ipa-healthcheck
    dns:
      description: RHEL IdM with integrated DNS server and integrated CA
      rpms:
      - ipa-server
      - ipa-server-dns
      - ipa-healthcheck
    adtrust:
      description: RHEL IdM Server Integration with Active Directory
      rpms:
      - ipa-server-trust-ad
      - ipa-idoverride-memberof-plugin
      - ipa-healthcheck
  components:
    rpms:
      ipa:
        rationale: Module API
        ref: stream-idm-DL1-rhel-8.1.0
      bind-dyndb-ldap:
        rationale: Driver for BIND to store DNS information in LDAP
        ref: stream-idm-DL1-rhel-8.1.0
      slapi-nis:
        rationale: Compatibility plugin to serve legacy clients
        ref: stream-idm-DL1-rhel-8.1.0
        arches:
        - aarch64
        - x86_64
        - s390x
        - ppc64le
      ipa-healthcheck:
        rationale: A tool to detect issues in IdM clusters
        ref: stream-DL1-rhel-8.1.0
        buildorder: 3
      ipa-idoverride-memberof:
        rationale: Manage IdM with Active Directory users
        ref: stream-idm-DL1-rhel-8.1.0
        buildorder: 3
      custodia:
        rationale: Remote access to secrets and credentials in IdM topology
        ref: stream-idm-DL1-rhel-8.1.0
        buildorder: 2
      python-jwcrypto:
        rationale: JSON Web Cryptographic Tokens used by Custodia
        ref: stream-idm-DL1-rhel-8.1.0
        buildorder: 1
      python-qrcode:
        rationale: QR code generator for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.1.0
      python-yubico:
        rationale: Support for Yubikey-based tokens for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.1.0
        buildorder: 2
      pyusb:
        rationale: Python USB support to access USB tokens for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.1.0
        buildorder: 1
      softhsm:
        rationale: Software version of a PKCS#11 Hardware Security Module
        ref: stream-idm-DL1-rhel-8.1.0
      opendnssec:
        rationale: An implementation of DNSSEC support for IdM integrated DNS server
        ref: stream-idm-DL1-rhel-8.1.0
      python-kdcproxy:
        rationale: MS-KKDCP (kerberos proxy) WSGI module
        ref: stream-idm-DL1-rhel-8.1.0
  name: idm
  artifacts:
    rpms:
    - ipa-client-0:4.8.0-13.module+el8.1.0+4923+c6efe041.x86_64
    - ipa-client-common-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - ipa-client-samba-0:4.8.0-13.module+el8.1.0+4923+c6efe041.x86_64
    - ipa-common-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - ipa-python-compat-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - ipa-server-0:4.8.0-13.module+el8.1.0+4923+c6efe041.x86_64
    - ipa-server-common-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - ipa-server-dns-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - ipa-server-trust-ad-0:4.8.0-13.module+el8.1.0+4923+c6efe041.x86_64
    - python3-ipaclient-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - python3-ipalib-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - python3-ipaserver-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
  version: '20200102131209'
  arch: x86_64
...
---
document: modulemd
version: 2
data:
  name: inkscape
  stream: 0.92.3
  summary: Vector-based drawing program using SVG
  description: 'Inkscape is a vector graphics editor, with capabilities similar to

    Illustrator, CorelDraw, or Xara X, using the W3C standard Scalable Vector

    Graphics (SVG) file format.  It is therefore a very useful tool for web

    designers and as an interchange format for desktop publishing.


    Inkscape supports many advanced SVG features (markers, clones, alpha

    blending, etc.) and great care is taken in designing a streamlined

    interface. It is very easy to edit nodes, perform complex path operations,

    trace bitmaps and much more.'
  license:
    module:
    - GPL-2.0
  dependencies:
  - buildrequires:
      platform:
      - el8
      python27:
      - 2.7
    requires:
      platform:
      - el8
      python27:
      - 2.7
  references:
    documentation: https://inkscape.org/en/learn/
    tracker: https://bugs.launchpad.net/inkscape
  profiles:
    common:
      rpms:
      - inkscape
  api:
    rpms:
    - inkscape
  buildopts:
    rpms:
      macros: '%_with_python2 1

        '
  filter:
    rpms:
    - python3-dns
    - python3-*
    - python3-scour
  components:
    rpms:
      inkscape:
        rationale: Module API.
        ref: stream-0.92.3-rhel-8.1.0
      python-scour:
        rationale: Runtime requirement of inkscape, should not be in API.
        ref: stream-0.35
  artifacts:
    rpms:
    - inkscape-0:0.92.3-12.module+el8.1.0+4737+97b227b1.x86_64
    - inkscape-docs-0:0.92.3-12.module+el8.1.0+4737+97b227b1.x86_64
    - inkscape-view-0:0.92.3-12.module+el8.1.0+4737+97b227b1.x86_64
  version: '20200102130803'
  arch: x86_64
...
---
document: modulemd
version: 2
data:
  stream: 10
  summary: Javascript runtime
  description: Node.js is a platform built on Chrome's JavaScript runtime for easily
    building fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - npm
      - nodejs-nodemon
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: '%_with_bootstrap 1

        '
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        buildorder: 10
        ref: stream-10-rhel-8.0.0
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        buildorder: 100
        ref: rhel-8.0
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        buildorder: 200
        ref: rhel-8.0
  name: nodejs
  artifacts:
    rpms:
    - nodejs-1:10.19.0-1.module+el8.1.0+5726+6ed65f8c.i686
    - nodejs-1:10.19.0-1.module+el8.1.0+5726+6ed65f8c.x86_64
    - nodejs-1:10.19.0-2.module+el8.1.0+6118+5aaa808b.i686
    - nodejs-1:10.19.0-2.module+el8.1.0+6118+5aaa808b.x86_64
    - nodejs-devel-1:10.19.0-1.module+el8.1.0+5726+6ed65f8c.i686
    - nodejs-devel-1:10.19.0-1.module+el8.1.0+5726+6ed65f8c.x86_64
    - nodejs-devel-1:10.19.0-2.module+el8.1.0+6118+5aaa808b.i686
    - nodejs-devel-1:10.19.0-2.module+el8.1.0+6118+5aaa808b.x86_64
    - nodejs-docs-1:10.19.0-1.module+el8.1.0+5726+6ed65f8c.noarch
    - nodejs-docs-1:10.19.0-2.module+el8.1.0+6118+5aaa808b.noarch
    - npm-1:6.13.4-1.10.19.0.1.module+el8.1.0+5726+6ed65f8c.x86_64
    - npm-1:6.13.4-1.10.19.0.2.module+el8.1.0+6118+5aaa808b.x86_64
  version: '20200421233557'
  arch: x86_64
...
---
document: modulemd
version: 2
data:
  stream: '3.7'
  summary: A PostgreSQL interface for Perl
  description: 'DBD::Pg is a Perl module that works with the DBI module to provide
    access to PostgreSQL databases.

    '
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      perl-DBI: []
      perl: []
      platform:
      - el8
      postgresql:
      - 10
    requires:
      perl-DBI: []
      perl: []
      platform:
      - el8
  references:
    community: http://search.cpan.org/dist/DBD-Pg/
  profiles:
    common:
      description: DBD-Pg distribution
      rpms:
      - perl-DBD-Pg
  api:
    rpms:
    - perl-DBD-Pg
  components:
    rpms:
      perl-DBD-Pg:
        rationale: The API.
        ref: stream-3.7-rhel-8.1.0
  name: perl-DBD-Pg
  artifacts:
    rpms:
    - perl-DBD-Pg-0:3.7.4-4.module+el8.1.1+4707+d3bacf56.x86_64
  version: '20200206021850'
  arch: x86_64
...
---
document: modulemd
version: 2
data:
  summary: Rust
  description: Rust Toolset
  name: rust-toolset
  stream: rhel8
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
      llvm-toolset:
      - rhel8
      rust-toolset:
      - rhel8
    requires:
      platform:
      - el8
      llvm-toolset:
      - rhel8
  profiles:
    common:
      rpms:
      - rust-toolset
  api:
    rpms:
    - cargo
    - cargo-doc
    - clippy
    - rls
    - rust
    - rust-analysis
    - rust-doc
    - rust-gdb
    - rust-lldb
    - rust-src
    - rust-std-static
    - rust-toolset
    - rustfmt
  components:
    rpms:
      rust-toolset:
        rationale: Meta package for rust-toolset.
        ref: stream-rhel-8-rhel-8.1.0
        buildorder: 0
      rust:
        rationale: Rust compiler and tools
        ref: stream-rhel-8-rhel-8.1.0
        buildorder: 0
  artifacts:
    rpms:
    - cargo-0:1.39.0-2.module+el8.1.1+4653+065a25c6.x86_64
    - cargo-doc-0:1.39.0-2.module+el8.1.1+4653+065a25c6.noarch
    - clippy-0:1.39.0-2.module+el8.1.1+4653+065a25c6.x86_64
    - rls-0:1.39.0-2.module+el8.1.1+4653+065a25c6.x86_64
    - rust-0:1.39.0-2.module+el8.1.1+4653+065a25c6.x86_64
    - rust-analysis-0:1.39.0-2.module+el8.1.1+4653+065a25c6.x86_64
    - rust-debugger-common-0:1.39.0-2.module+el8.1.1+4653+065a25c6.noarch
    - rust-doc-0:1.39.0-2.module+el8.1.1+4653+065a25c6.x86_64
    - rust-gdb-0:1.39.0-2.module+el8.1.1+4653+065a25c6.noarch
    - rust-src-0:1.39.0-2.module+el8.1.1+4653+065a25c6.noarch
    - rust-std-static-0:1.39.0-2.module+el8.1.1+4653+065a25c6.i686
    - rust-std-static-0:1.39.0-2.module+el8.1.1+4653+065a25c6.x86_64
    - rust-toolset-0:1.39.0-1.module+el8.1.1+4611+6b90659c.x86_64
    - rustfmt-0:1.39.0-2.module+el8.1.1+4653+065a25c6.x86_64
  version: '20200206132547'
  arch: x86_64
...
---
document: modulemd
version: 2
data:
  summary: Virtualization module
  stream: rhel
  description: A virtualization module
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  profiles:
    common:
      rpms:
      - libvirt-daemon-kvm
      - libguestfs
      - libvirt-client
      - libvirt-daemon-config-network
  filter:
    rpms:
    - ocaml-hivex
    - ocaml-hivex-debuginfo
    - ocaml-hivex-devel
    - ocaml-libguestfs
    - ocaml-libguestfs-debuginfo
    - ocaml-libguestfs-devel
    - qemu-kvm-tests
    - qemu-kvm-tests-debuginfo
  components:
    rpms:
      qemu-kvm:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 2
      libiscsi:
        rationale: qemu-kvm dep
        ref: stream-rhel-rhel-8.1.0
        buildorder: 1
      seabios:
        rationale: qemu-kvm dep
        ref: stream-rhel-rhel-8.1.0
        arches:
        - x86_64
        - ppc64le
        buildorder: 1
      sgabios:
        rationale: qemu-kvm dep
        ref: stream-rhel-rhel-8.1.0
        arches:
        - x86_64
        - ppc64le
        buildorder: 1
      SLOF:
        rationale: qemu-kvm dep
        ref: stream-rhel-rhel-8.1.0
        arches:
        - ppc64le
        buildorder: 1
      libvirt:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 3
      libvirt-python:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 4
      libvirt-dbus:
        rationale: libvirt-dbus is part of the virtualization module
        ref: stream-rhel-rhel-8.1.0
        buildorder: 4
      perl-Sys-Virt:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 4
      netcf:
        rationale: libvirt dep
        ref: stream-rhel-rhel-8.1.0
        buildorder: 1
      hivex:
        rationale: libguestfs dep
        ref: stream-rhel-rhel-8.1.0
        buildorder: 1
      supermin:
        rationale: libguestfs dep
        ref: stream-rhel-rhel-8.1.0
        buildorder: 2
      libguestfs:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 4
      libguestfs-winsupport:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 5
      nbdkit:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 5
  name: virt
  artifacts:
    rpms:
    - libvirt-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-admin-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-admin-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-admin-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-bash-completion-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-bash-completion-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-bash-completion-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-client-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-client-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-client-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-config-network-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-config-network-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-config-network-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-config-nwfilter-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-config-nwfilter-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-config-nwfilter-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-interface-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-interface-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-interface-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-network-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-network-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-network-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-nodedev-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-nodedev-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-nodedev-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-nwfilter-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-nwfilter-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-nwfilter-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-qemu-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-qemu-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-qemu-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-secret-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-secret-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-secret-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-storage-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-storage-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-storage-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-storage-core-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-storage-core-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-storage-core-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-storage-disk-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-storage-disk-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-storage-disk-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-storage-gluster-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-storage-gluster-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-storage-gluster-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-storage-iscsi-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-storage-iscsi-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-storage-iscsi-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-storage-logical-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-storage-logical-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-storage-logical-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-storage-mpath-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-storage-mpath-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-storage-mpath-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-storage-rbd-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-storage-rbd-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-storage-rbd-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-driver-storage-scsi-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-driver-storage-scsi-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-driver-storage-scsi-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-daemon-kvm-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-daemon-kvm-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-daemon-kvm-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-devel-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-devel-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-devel-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-devel-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-devel-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-devel-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-docs-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-docs-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-docs-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-libs-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-libs-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-libs-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-libs-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-libs-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-libs-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-lock-sanlock-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-lock-sanlock-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-lock-sanlock-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - libvirt-nss-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-nss-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.x86_64
    - libvirt-nss-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-nss-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.x86_64
    - libvirt-nss-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-nss-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.x86_64
    - qemu-guest-agent-15:2.12.0-88.module+el8.1.0+5013+4f99814c.1.x86_64
    - qemu-guest-agent-15:2.12.0-88.module+el8.1.0+5149+3ff2765e.2.x86_64
    - qemu-guest-agent-15:2.12.0-88.module+el8.1.0+5708+85d8e057.3.x86_64
    - qemu-img-15:2.12.0-88.module+el8.1.0+5013+4f99814c.1.x86_64
    - qemu-img-15:2.12.0-88.module+el8.1.0+5149+3ff2765e.2.x86_64
    - qemu-img-15:2.12.0-88.module+el8.1.0+5708+85d8e057.3.x86_64
    - qemu-kvm-15:2.12.0-88.module+el8.1.0+5013+4f99814c.1.x86_64
    - qemu-kvm-15:2.12.0-88.module+el8.1.0+5149+3ff2765e.2.x86_64
    - qemu-kvm-15:2.12.0-88.module+el8.1.0+5708+85d8e057.3.x86_64
    - qemu-kvm-block-curl-15:2.12.0-88.module+el8.1.0+5013+4f99814c.1.x86_64
    - qemu-kvm-block-curl-15:2.12.0-88.module+el8.1.0+5149+3ff2765e.2.x86_64
    - qemu-kvm-block-curl-15:2.12.0-88.module+el8.1.0+5708+85d8e057.3.x86_64
    - qemu-kvm-block-gluster-15:2.12.0-88.module+el8.1.0+5013+4f99814c.1.x86_64
    - qemu-kvm-block-gluster-15:2.12.0-88.module+el8.1.0+5149+3ff2765e.2.x86_64
    - qemu-kvm-block-gluster-15:2.12.0-88.module+el8.1.0+5708+85d8e057.3.x86_64
    - qemu-kvm-block-iscsi-15:2.12.0-88.module+el8.1.0+5013+4f99814c.1.x86_64
    - qemu-kvm-block-iscsi-15:2.12.0-88.module+el8.1.0+5149+3ff2765e.2.x86_64
    - qemu-kvm-block-iscsi-15:2.12.0-88.module+el8.1.0+5708+85d8e057.3.x86_64
    - qemu-kvm-block-rbd-15:2.12.0-88.module+el8.1.0+5013+4f99814c.1.x86_64
    - qemu-kvm-block-rbd-15:2.12.0-88.module+el8.1.0+5149+3ff2765e.2.x86_64
    - qemu-kvm-block-rbd-15:2.12.0-88.module+el8.1.0+5708+85d8e057.3.x86_64
    - qemu-kvm-block-ssh-15:2.12.0-88.module+el8.1.0+5013+4f99814c.1.x86_64
    - qemu-kvm-block-ssh-15:2.12.0-88.module+el8.1.0+5149+3ff2765e.2.x86_64
    - qemu-kvm-block-ssh-15:2.12.0-88.module+el8.1.0+5708+85d8e057.3.x86_64
    - qemu-kvm-common-15:2.12.0-88.module+el8.1.0+5013+4f99814c.1.x86_64
    - qemu-kvm-common-15:2.12.0-88.module+el8.1.0+5149+3ff2765e.2.x86_64
    - qemu-kvm-common-15:2.12.0-88.module+el8.1.0+5708+85d8e057.3.x86_64
    - qemu-kvm-core-15:2.12.0-88.module+el8.1.0+5013+4f99814c.1.x86_64
    - qemu-kvm-core-15:2.12.0-88.module+el8.1.0+5149+3ff2765e.2.x86_64
    - qemu-kvm-core-15:2.12.0-88.module+el8.1.0+5708+85d8e057.3.x86_64
    - qemu-kvm-tests-15:2.12.0-88.module+el8.1.0+5013+4f99814c.1.x86_64
    - qemu-kvm-tests-15:2.12.0-88.module+el8.1.0+5149+3ff2765e.2.x86_64
    - qemu-kvm-tests-15:2.12.0-88.module+el8.1.0+5708+85d8e057.3.x86_64
  version: '20200422120046'
  arch: x86_64
...
---
document: modulemd
version: 2
data:
  stream: 12
  summary: Javascript runtime
  description: Node.js is a platform built on Chrome's JavaScript runtime for easily
    building fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - npm
      - nodejs-nodemon
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: '%_with_bootstrap 1

        '
  components:
    rpms:
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        buildorder: 10
        ref: stream-12-rhel-8.1.0
      nodejs:
        rationale: Javascript runtime and npm package manager.
        buildorder: 100
        ref: stream-12-rhel-8.1.0
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        buildorder: 200
        ref: stream-12-rhel-8.1.0
  name: nodejs
  artifacts:
    rpms:
    - nodejs-1:12.13.1-1.module+el8.1.0+5069+f8aaab94.x86_64
    - nodejs-1:12.14.1-1.module+el8.1.0+5466+30f75629.x86_64
    - nodejs-1:12.16.1-1.module+el8.1.0+5811+44509afe.x86_64
    - nodejs-1:12.16.1-2.module+el8.1.0+6117+b25a342c.x86_64
    - nodejs-devel-1:12.13.1-1.module+el8.1.0+5069+f8aaab94.x86_64
    - nodejs-devel-1:12.14.1-1.module+el8.1.0+5466+30f75629.x86_64
    - nodejs-devel-1:12.16.1-1.module+el8.1.0+5811+44509afe.x86_64
    - nodejs-devel-1:12.16.1-2.module+el8.1.0+6117+b25a342c.x86_64
    - nodejs-docs-1:12.13.1-1.module+el8.1.0+5069+f8aaab94.noarch
    - nodejs-docs-1:12.14.1-1.module+el8.1.0+5466+30f75629.noarch
    - nodejs-docs-1:12.16.1-1.module+el8.1.0+5811+44509afe.noarch
    - nodejs-docs-1:12.16.1-2.module+el8.1.0+6117+b25a342c.noarch
    - npm-1:6.12.1-1.12.13.1.1.module+el8.1.0+5069+f8aaab94.x86_64
    - npm-1:6.13.4-1.12.14.1.1.module+el8.1.0+5466+30f75629.x86_64
    - npm-1:6.13.4-1.12.16.1.1.module+el8.1.0+5811+44509afe.x86_64
    - npm-1:6.13.4-1.12.16.1.2.module+el8.1.0+6117+b25a342c.x86_64
  version: '20200406174327'
  arch: x86_64
...
---
document: modulemd
version: 2
data:
  name: postgresql
  stream: 12
  summary: PostgreSQL server and client module
  description: PostgreSQL is an advanced Object-Relational database management system
    (DBMS). The postgresql-server package contains the programs needed to create and
    run a PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/12/index.html
    tracker: http://bugzilla.redhat.com
  api:
    rpms:
    - postgresql
    - postgresql-server
  profiles:
    server:
      rpms:
      - postgresql-server
    client:
      rpms:
      - postgresql
  components:
    rpms:
      postgresql:
        rationale: Module API.
        ref: stream-12-rhel-8.1.1
        buildorder: 0
      pgaudit:
        rationale: pgaudit extension
        ref: stream-12-rhel-8.1.1
        buildorder: 1
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: stream-12-rhel-8.1.1
        buildorder: 1
  artifacts:
    rpms:
    - pgaudit-0:1.4.0-4.module+el8.1.1+4794+c82b6e09.x86_64
    - postgres-decoderbufs-0:0.10.0-2.module+el8.1.1+4794+c82b6e09.x86_64
    - postgresql-0:12.1-2.module+el8.1.1+4794+c82b6e09.x86_64
    - postgresql-contrib-0:12.1-2.module+el8.1.1+4794+c82b6e09.x86_64
    - postgresql-docs-0:12.1-2.module+el8.1.1+4794+c82b6e09.x86_64
    - postgresql-plperl-0:12.1-2.module+el8.1.1+4794+c82b6e09.x86_64
    - postgresql-plpython3-0:12.1-2.module+el8.1.1+4794+c82b6e09.x86_64
    - postgresql-pltcl-0:12.1-2.module+el8.1.1+4794+c82b6e09.x86_64
    - postgresql-server-0:12.1-2.module+el8.1.1+4794+c82b6e09.x86_64
    - postgresql-server-devel-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-server-devel-0:12.1-2.module+el8.1.1+4794+c82b6e09.x86_64
    - postgresql-static-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-static-0:12.1-2.module+el8.1.1+4794+c82b6e09.x86_64
    - postgresql-test-0:12.1-2.module+el8.1.1+4794+c82b6e09.x86_64
    - postgresql-test-rpm-macros-0:12.1-2.module+el8.1.1+4794+c82b6e09.noarch
    - postgresql-upgrade-0:12.1-2.module+el8.1.1+4794+c82b6e09.x86_64
    - postgresql-upgrade-devel-0:12.1-2.module+el8.1.1+4794+c82b6e09.x86_64
  version: '20200430021018'
  arch: x86_64
...
---
document: modulemd
version: 2
data:
  stream: rhel8
  summary: Plugins and extensions for building Eclipse plugins and OSGI bundles with
    Maven
  description: 'Tycho is a set of Maven plugins and extensions for building Eclipse
    plugins and OSGI bundles with Maven. Eclipse plugins and OSGI bundles have their
    own metadata for expressing dependencies, source folder locations, etc. that are
    normally found in a Maven POM. Tycho uses native metadata for Eclipse plugins
    and OSGi bundles and uses the POM to configure and drive the build. Tycho supports
    bundles, fragments, features, update site projects and RCP applications. Tycho
    also knows how to run JUnit test plugins using OSGi runtime and there is also
    support for sharing build results using Maven artifact repositories.

    Tycho plugins introduce new packaging types and the corresponding lifecycle bindings
    that allow Maven to use OSGi and Eclipse metadata during a Maven build. OSGi rules
    are used to resolve project dependencies and package visibility restrictions are
    honored by the OSGi-aware JDT-based compiler plugin. Tycho will use OSGi metadata
    and OSGi rules to calculate project dependencies dynamically and injects them
    into the Maven project model at build time. Tycho supports all attributes supported
    by the Eclipse OSGi resolver (Require-Bundle, Import-Package, Eclipse-GenericRequire,
    etc). Tycho will use proper classpath access rules during compilation. Tycho supports
    all project types supported by PDE and will use PDE/JDT project metadata where
    possible. One important design goal in Tycho is to make sure there is no duplication
    of metadata between POM and OSGi metadata.'
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
      javapackages-tools:
      - 201801
      tycho:
      - rhel8
    requires:
      platform:
      - el8
      javapackages-tools:
      - 201801
  profiles:
    common:
      rpms:
      - tycho
      - tycho-extras
  api:
    rpms:
    - cbi-plugins
    - tycho
    - tycho-extras
  buildopts:
    rpms:
      macros: '%_with_jp_minimal 1

        %_without_contrib_tools 1

        %_without_junit5 1

        '
  components:
    rpms:
      apache-commons-el:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse.

          '
      apiguardian:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Build dependency of junit5.

          '
      auto:
        buildorder: 20
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of cbi-plugins. Build dependency of cbi-plugins.

          '
      batik:
        buildorder: 20
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse, tycho. Build dependency of eclipse,
          tycho.

          '
      cbi-plugins:
        buildorder: 50
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Module API. Build dependency of eclipse.

          '
      decentxml:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of cbi-plugins, tycho. Build dependency of
          cbi-plugins, tycho.

          '
      ecj:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of tycho. Build dependency of glassfish-jsp,
          tycho.

          '
      eclipse:
        buildorder: 80
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Module application.

          '
      eclipse-ecf:
        buildorder: 70
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse.

          '
      eclipse-emf:
        buildorder: 60
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse, eclipse-ecf.

          '
      eclipse-license:
        buildorder: 50
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Build dependency of eclipse, eclipse-ecf.

          '
      felix-gogo-command:
        buildorder: 30
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse.

          '
      felix-gogo-parent:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: "Build dependency of felix-gogo-command,\n     felix-gogo-runtime,\
          \ felix-gogo-shell.\n"
      felix-gogo-runtime:
        buildorder: 20
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: "Runtime dependency of eclipse, felix-gogo-command,\n     felix-gogo-shell.\n\
          Build dependency of eclipse, felix-gogo-command,\n     felix-gogo-shell,\
          \ felix-scr.\n"
      felix-gogo-shell:
        buildorder: 30
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse.

          '
      felix-scr:
        buildorder: 30
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse, tycho. Build dependency of eclipse,
          tycho.

          '
      glassfish-jsp:
        buildorder: 20
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse, tycho. Build dependency of eclipse,
          tycho.

          '
      google-gson:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse Build dependency of eclipse

          '
      icu4j:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse, tycho. Build dependency of eclipse,
          tycho.

          '
      javapoet:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of auto Build dependency of auto

          '
      jetty:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse.

          '
      junit5:
        buildorder: 20
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Build dependency of tycho, eclipse.

          '
      kxml:
        buildorder: 20
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of felix-scr. Build dependency of felix-scr.

          '
      lucene:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse.

          '
      opentest4j:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Build dependency of junit5.

          '
      sac:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse, tycho. Build dependency of eclipse,
          tycho.

          '
      sat4j:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of eclipse, tycho. Build dependency of eclipse,
          tycho.

          '
      tesla-polyglot:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of tycho-extras. Build dependency of tycho-extras.

          '
      tycho:
        buildorder: 40
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: "Module API. Runtime dependency of cbi-plugins,\n     tycho-extras.\n\
          Build dependency of cbi-plugins, eclipse, eclipse-ecf,\n     eclipse-emf,\
          \ eclipse-license,\n     tycho-extras.\n"
      tycho-extras:
        buildorder: 50
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Module API. Build dependency of eclipse, eclipse-ecf, eclipse-emf.

          '
      univocity-parsers:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Build dependency of junit5.

          '
      xml-maven-plugin:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Build dependency of eclipse.

          '
      xmlgraphics-commons:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of batik. Build dependency of batik.

          '
      xpp3:
        buildorder: 10
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Runtime dependency of felix-scr, kxml. Build dependency of felix-scr,
          kxml.

          '
  name: tycho
  artifacts:
    rpms:
    - apache-commons-el-0:1.0-42.module+el8.1.1+4657+f90e8085.noarch
    - apache-commons-el-javadoc-0:1.0-42.module+el8.1.1+4657+f90e8085.noarch
    - apiguardian-0:1.0.0-3.module+el8.1.1+4657+f90e8085.noarch
    - apiguardian-javadoc-0:1.0.0-3.module+el8.1.1+4657+f90e8085.noarch
    - auto-0:1.4.1-1.module+el8.1.1+4657+f90e8085.noarch
    - auto-common-0:1.4.1-1.module+el8.1.1+4657+f90e8085.noarch
    - auto-javadoc-0:1.4.1-1.module+el8.1.1+4657+f90e8085.noarch
    - auto-service-0:1.4.1-1.module+el8.1.1+4657+f90e8085.noarch
    - auto-value-0:1.4.1-1.module+el8.1.1+4657+f90e8085.noarch
    - batik-0:1.11-1.module+el8.1.1+4657+f90e8085.noarch
    - batik-css-0:1.11-1.module+el8.1.1+4657+f90e8085.noarch
    - batik-demo-0:1.11-1.module+el8.1.1+4657+f90e8085.noarch
    - batik-javadoc-0:1.11-1.module+el8.1.1+4657+f90e8085.noarch
    - batik-rasterizer-0:1.11-1.module+el8.1.1+4657+f90e8085.noarch
    - batik-slideshow-0:1.11-1.module+el8.1.1+4657+f90e8085.noarch
    - batik-squiggle-0:1.11-1.module+el8.1.1+4657+f90e8085.noarch
    - batik-svgpp-0:1.11-1.module+el8.1.1+4657+f90e8085.noarch
    - batik-ttf2svg-0:1.11-1.module+el8.1.1+4657+f90e8085.noarch
    - batik-util-0:1.11-1.module+el8.1.1+4657+f90e8085.noarch
    - cbi-plugins-0:1.1.5-6.module+el8.1.1+4657+f90e8085.noarch
    - cbi-plugins-javadoc-0:1.1.5-6.module+el8.1.1+4657+f90e8085.noarch
    - decentxml-0:1.4-19.module+el8.1.1+4657+f90e8085.noarch
    - decentxml-javadoc-0:1.4-19.module+el8.1.1+4657+f90e8085.noarch
    - ecj-1:4.11-0.1.module+el8.1.1+4657+f90e8085.noarch
    - eclipse-ecf-core-0:3.14.5-3.module+el8.1.1+4657+f90e8085.noarch
    - eclipse-ecf-runtime-0:3.14.5-3.module+el8.1.1+4657+f90e8085.noarch
    - eclipse-ecf-sdk-0:3.14.5-3.module+el8.1.1+4657+f90e8085.noarch
    - eclipse-emf-core-1:2.18.0-1.module+el8.1.1+4657+f90e8085.noarch
    - eclipse-emf-runtime-0:2.18.0-1.module+el8.1.1+4657+f90e8085.noarch
    - eclipse-emf-sdk-0:2.18.0-1.module+el8.1.1+4657+f90e8085.noarch
    - eclipse-emf-xsd-0:2.18.0-1.module+el8.1.1+4657+f90e8085.noarch
    - eclipse-equinox-osgi-1:4.12-6.module+el8.1.1+4657+f90e8085.x86_64
    - eclipse-jdt-1:4.12-6.module+el8.1.1+4657+f90e8085.noarch
    - eclipse-license1-0:1.0.1-7.module+el8.1.1+4657+f90e8085.noarch
    - eclipse-license2-0:2.0.1-7.module+el8.1.1+4657+f90e8085.noarch
    - eclipse-p2-discovery-1:4.12-6.module+el8.1.1+4657+f90e8085.noarch
    - eclipse-pde-1:4.12-6.module+el8.1.1+4657+f90e8085.x86_64
    - eclipse-platform-1:4.12-6.module+el8.1.1+4657+f90e8085.x86_64
    - eclipse-swt-1:4.12-6.module+el8.1.1+4657+f90e8085.x86_64
    - felix-gogo-command-0:1.0.2-7.module+el8.1.1+4657+f90e8085.noarch
    - felix-gogo-command-javadoc-0:1.0.2-7.module+el8.1.1+4657+f90e8085.noarch
    - felix-gogo-parent-0:4-2.module+el8.1.1+4657+f90e8085.noarch
    - felix-gogo-runtime-0:1.1.0-3.module+el8.1.1+4657+f90e8085.noarch
    - felix-gogo-runtime-javadoc-0:1.1.0-3.module+el8.1.1+4657+f90e8085.noarch
    - felix-gogo-shell-0:1.1.0-2.module+el8.1.1+4657+f90e8085.noarch
    - felix-gogo-shell-javadoc-0:1.1.0-2.module+el8.1.1+4657+f90e8085.noarch
    - felix-scr-0:2.1.16-1.module+el8.1.1+4657+f90e8085.noarch
    - felix-scr-javadoc-0:2.1.16-1.module+el8.1.1+4657+f90e8085.noarch
    - glassfish-jsp-0:2.3.3-0.14.b02.module+el8.1.1+4657+f90e8085.noarch
    - glassfish-jsp-javadoc-0:2.3.3-0.14.b02.module+el8.1.1+4657+f90e8085.noarch
    - google-gson-0:2.8.2-3.module+el8.1.1+4657+f90e8085.noarch
    - google-gson-javadoc-0:2.8.2-3.module+el8.1.1+4657+f90e8085.noarch
    - icu4j-1:64.2-1.module+el8.1.1+4657+f90e8085.noarch
    - icu4j-charset-1:64.2-1.module+el8.1.1+4657+f90e8085.noarch
    - icu4j-javadoc-1:64.2-1.module+el8.1.1+4657+f90e8085.noarch
    - icu4j-localespi-1:64.2-1.module+el8.1.1+4657+f90e8085.noarch
    - javapoet-0:1.7.0-6.module+el8.1.1+4657+f90e8085.noarch
    - javapoet-javadoc-0:1.7.0-6.module+el8.1.1+4657+f90e8085.noarch
    - jetty-client-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - jetty-continuation-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - jetty-http-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - jetty-io-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - jetty-jaas-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - jetty-javadoc-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - jetty-jmx-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - jetty-security-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - jetty-server-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - jetty-servlet-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - jetty-util-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - jetty-webapp-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - jetty-xml-0:9.4.19-1.v20190610.module+el8.1.1+4657+f90e8085.noarch
    - junit5-0:5.4.0-1.module+el8.1.1+4657+f90e8085.noarch
    - junit5-guide-0:5.4.0-1.module+el8.1.1+4657+f90e8085.noarch
    - junit5-javadoc-0:5.4.0-1.module+el8.1.1+4657+f90e8085.noarch
    - kxml-0:2.3.0-18.module+el8.1.1+4657+f90e8085.noarch
    - kxml-javadoc-0:2.3.0-18.module+el8.1.1+4657+f90e8085.noarch
    - lucene-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - lucene-analysis-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - lucene-analyzers-smartcn-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - lucene-backward-codecs-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - lucene-grouping-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - lucene-highlighter-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - lucene-javadoc-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - lucene-join-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - lucene-memory-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - lucene-misc-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - lucene-queries-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - lucene-queryparser-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - lucene-sandbox-0:8.1.1-2.module+el8.1.1+4657+f90e8085.noarch
    - opentest4j-0:1.1.1-1.module+el8.1.1+4657+f90e8085.noarch
    - opentest4j-javadoc-0:1.1.1-1.module+el8.1.1+4657+f90e8085.noarch
    - sac-0:1.3-30.module+el8.1.1+4657+f90e8085.noarch
    - sac-javadoc-0:1.3-30.module+el8.1.1+4657+f90e8085.noarch
    - sat4j-0:2.3.5-15.module+el8.1.1+4657+f90e8085.noarch
    - tesla-polyglot-0:0.2.1-9.module+el8.1.1+4657+f90e8085.noarch
    - tesla-polyglot-atom-0:0.2.1-9.module+el8.1.1+4657+f90e8085.noarch
    - tesla-polyglot-common-0:0.2.1-9.module+el8.1.1+4657+f90e8085.noarch
    - tesla-polyglot-javadoc-0:0.2.1-9.module+el8.1.1+4657+f90e8085.noarch
    - tesla-polyglot-maven-plugin-0:0.2.1-9.module+el8.1.1+4657+f90e8085.noarch
    - tesla-polyglot-translate-plugin-0:0.2.1-9.module+el8.1.1+4657+f90e8085.noarch
    - tesla-polyglot-xml-0:0.2.1-9.module+el8.1.1+4657+f90e8085.noarch
    - tycho-0:1.4.0-2.module+el8.1.1+4657+f90e8085.noarch
    - tycho-extras-0:1.4.0-1.module+el8.1.1+4657+f90e8085.noarch
    - tycho-extras-javadoc-0:1.4.0-1.module+el8.1.1+4657+f90e8085.noarch
    - tycho-javadoc-0:1.4.0-2.module+el8.1.1+4657+f90e8085.noarch
    - univocity-parsers-0:2.5.5-4.module+el8.1.1+4657+f90e8085.noarch
    - univocity-parsers-javadoc-0:2.5.5-4.module+el8.1.1+4657+f90e8085.noarch
    - xml-maven-plugin-0:1.0.2-3.module+el8.1.1+4657+f90e8085.noarch
    - xml-maven-plugin-javadoc-0:1.0.2-3.module+el8.1.1+4657+f90e8085.noarch
    - xmlgraphics-commons-0:2.3-1.module+el8.1.1+4657+f90e8085.noarch
    - xmlgraphics-commons-javadoc-0:2.3-1.module+el8.1.1+4657+f90e8085.noarch
    - xpp3-0:1.1.4-20.c.module+el8.1.1+4657+f90e8085.noarch
    - xpp3-javadoc-0:1.1.4-20.c.module+el8.1.1+4657+f90e8085.noarch
    - xpp3-minimal-0:1.1.4-20.c.module+el8.1.1+4657+f90e8085.noarch
  version: '20200419140011'
  arch: x86_64
...
---
document: modulemd
version: 2
data:
  stream: rhel8
  summary: Java Mission Control is a profiling and diagnostics tool for the Hotspot
    JVM
  description: Java Mission Control is a powerful profiler for HotSpot JVMs and has
    an advanced set of tools that enables efficient and detailed analysis of the extensive
    data collected by Java Flight Recorder. The tool chain enables developers and
    administrators to collect and analyze data from Java applications running locally
    or deployed in production environments.
  license:
    module:
    - GPL
  profiles:
    common:
      rpms:
      - jmc
    core:
      rpms:
      - jmc-core
  dependencies:
  - buildrequires:
      platform:
      - el8
      javapackages-tools:
      - 201801
      tycho:
      - rhel8
    requires:
      platform:
      - el8
  api:
    rpms:
    - jmc-core
  components:
    rpms:
      directory-maven-plugin:
        buildorder: 0
        ref: stream-rhel8-rhel-8.1.1
        rationale: 'Dependency of jmc and jaf.

          '
        arches:
        - x86_64
      ee4j-parent:
        buildorder: 0
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Dependency of jaf.

          '
      owasp-java-encoder:
        buildorder: 0
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Dependency of jmc-core.

          '
      jaf:
        buildorder: 1
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Dependency of jmc.

          '
      jmc-core:
        buildorder: 1
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Core API. Dependency of jmc.

          '
      jmc:
        buildorder: 3
        ref: stream-rhel8-rhel-8.1.1
        arches:
        - x86_64
        rationale: 'Standalone application.

          '
  name: jmc
  artifacts:
    rpms:
    - directory-maven-plugin-0:0.3.1-1.module+el8.1.1+4667+9be46ba3.noarch
    - directory-maven-plugin-javadoc-0:0.3.1-1.module+el8.1.1+4667+9be46ba3.noarch
    - ee4j-parent-0:1.0.1-1.module+el8.1.1+4667+9be46ba3.noarch
    - jaf-0:1.2.1-3.module+el8.1.1+4667+9be46ba3.noarch
    - jaf-javadoc-0:1.2.1-3.module+el8.1.1+4667+9be46ba3.noarch
    - jmc-0:7.0.0-4.module+el8.1.1+4696+a8c87273.x86_64
    - jmc-core-0:7.0.0-3.module+el8.1.1+4696+a8c87273.noarch
    - jmc-core-javadoc-0:7.0.0-3.module+el8.1.1+4696+a8c87273.noarch
    - owasp-java-encoder-0:1.2.2-2.module+el8.1.1+4667+9be46ba3.noarch
    - owasp-java-encoder-javadoc-0:1.2.2-2.module+el8.1.1+4667+9be46ba3.noarch
  version: '20200419144244'
  arch: x86_64
...
